Package com.independentsoft.office.spreadsheet

# Class Top

java.lang.Object
com.independentsoft.office.spreadsheet.Top

public class Top extends Object
The Class Top.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Top()`
  Instantiates a new top.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Top`
  `clone()`
  `double`
  `getFilterValue()`
  Gets the filter value.
  `double`
  `getValue()`
  Gets the value.
  `boolean`
  `isFilterByPercent()`
  Checks if is filter by percent.
  `boolean`
  `isTopOrder()`
  Checks if is top order.
  `void`
  `setFilterByPercent​(boolean filterByPercent)`
  Sets the filter by percent.
  `void`
  `setFilterValue​(double filterValue)`
  Sets the filter value.
  `void`
  `setTopOrder​(boolean isTopOrder)`
  Sets the top order.
  `void`
  `setValue​(double value)`
  Sets the value.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Top

    public Top()
    Instantiates a new top.

- ## Method Details

  - ### clone

    public Top clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getFilterValue

    public double getFilterValue()
    Gets the filter value.
    Returns:
      the filter value

  - ### setFilterValue

    public void setFilterValue​(double filterValue)
    Sets the filter value.
    Parameters:
      `filterValue` - the new filter value

  - ### getValue

    public double getValue()
    Gets the value.
    Returns:
      the value

  - ### setValue

    public void setValue​(double value)
    Sets the value.
    Parameters:
      `value` - the new value

  - ### isFilterByPercent

    public boolean isFilterByPercent()
    Checks if is filter by percent.
    Returns:
      true, if is filter by percent

  - ### setFilterByPercent

    public void setFilterByPercent​(boolean filterByPercent)
    Sets the filter by percent.
    Parameters:
      `filterByPercent` - the new filter by percent

  - ### isTopOrder

    public boolean isTopOrder()
    Checks if is top order.
    Returns:
      true, if is top order

  - ### setTopOrder

    public void setTopOrder​(boolean isTopOrder)
    Sets the top order.
    Parameters:
      `isTopOrder` - the new top order